<template>
  <router-link :to="{name: routeName, params: { component: componentName}}"
               class="rui-menu-item"
               :class="componentCSS">
    <span class="-inline-flex -gap">
      <rui-icon name="doc:file-html" :class="htmlIconClass" title="Usable in raw HTML" />
      <rui-icon name="doc:file-vuejs" :class="vueIconClass" title="Has a VueJS component" />
    </span>

    <component :is="doc.deprecated ? 'del' : 'span'">{{ componentName }}</component>
  </router-link>
</template>

<script>
import { childRoutes } from '../../views/DocumentView.vue'
import { RuiIcon } from '../../../src/components/index.js'

export default {
  name: 'ComponentMenuLink',
  components: { RuiIcon },
  props: {
    componentName: { required: true, type: String },
  },
  data () {
    return {
      doc: this.$getDoc(this.componentName),
    }
  },
  computed: {
    htmlIconClass () { return this.doc.examples.html.length > 0 ? '' : '-text--color-mute' },
    vueIconClass () { return this.doc.vuejs ? '' : '-text--color-mute' },
    routeName () { return this.doc.vuejs ? 'doc-api' : 'doc-html' },
    componentCSS () {
      return [
        childRoutes.includes(this.$route.name) && this.$route.params.component === this.componentName && 'rui-menu-item--active',
      ]
    },
  },
}
</script>
